Exit tests when gerrit container failed to start up

Previously, when gerrit container failed to start, the tests still
continue to run with the broken setup. Fix it to exit tests if gerrit
container failed to start.

Change-Id: Ia9be4fdeacb8b072fa40ceed91b44c7e87b53362
diff --git a/test/docker/run_tests/start.sh b/test/docker/run_tests/start.sh
index 22ab394..13b829a 100755
--- a/test/docker/run_tests/start.sh
+++ b/test/docker/run_tests/start.sh
@@ -14,7 +14,9 @@
     exit $?
 fi
 
-./"$USER_RUN_TESTS_DIR"/wait-for-it.sh "$GERRIT_HOST":29418 -t 60 -- echo "gerrit is up"
+./"$USER_RUN_TESTS_DIR"/wait-for-it.sh "$GERRIT_HOST":29418 \
+    -t -60 || die "Failed to start gerrit"
+echo "gerrit is up"
 
 echo "Update admin account ..."